Edit family attributes, including system attributes
Edits the inheritance configuration of product family attributes, including system attributes. Only the attributes included in the request will be updated.
Body
| Parameter | Type | Mandatory | Description |
|---|---|---|---|
| parent_level | list | no | List of attribute labels for which you want to set the level 1 inheritance ON |
| variant_level | list | no | List of attribute labels for which you want to set the level 2 inheritance ON |
| no_level | list | no | List of attribute labels for which you want to set the inheritance OFF |
Custom attributes must be prefixed with
attributes.followed by the attribute label (e.g.,attributes.my_attribute).
Inheritable system attributes
The following system attributes can be included without any prefix:
| Attribute | Description |
|---|---|
label | Product label |
thumbnail | Product thumbnail |
status | Product status |
categories | Product categories |
A 202 ACCEPTED status code is returned upon success.
The "parent_level" and "variant_level" options are available only when automatic inheritance is active on the account. Contact your account manager for more information.
Authorization
bearerAuth Obtain a token via POST /auth/api/get-token (15 minute lifetime), then send it as Authorization: Bearer <token>.
In: header
Path Parameters
Request Body
application/json
TypeScript Definitions
Use the request body type in TypeScript.
Response Body
curl -X POST 'https://example.com/api/v1/product_families/string/all_attributes/edit' \ -H 'Content-Type: application/json' \ --data-raw '{ "parent_level": [ "label", "attributes.attribute1_label" ], "variant_level": [ "thumbnail", "attributes.attribute2_label" ], "no_level": [ "status", "categories", "attributes.attribute3_label" ]}'